Bug 446407 - Review Request: unique - library for writing single instance applications
Review Request: unique - library for writing single instance applications
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Horák
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-14 10:37 EDT by Richard Hughes
Modified: 2008-05-16 12:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-16 12:17:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dan: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
updates for the spec file (752 bytes, patch)
2008-05-16 02:23 EDT, Dan Horák
no flags Details | Diff

  None (edit)
Description Richard Hughes 2008-05-14 10:37:59 EDT
Spec URL: http://people.freedesktop.org/~hughsient/temp/unique.spec
SRPM URL: http://people.freedesktop.org/~hughsient/temp/unique-0.9.4-3.fc9.hughsie.src.rpm
Description: Unique is a library for writing single instance applications, that is applications that are run once and every further call to the same binary either exits immediately or sends a command to the running instance.
Comment 1 Richard Hughes 2008-05-14 10:38:26 EDT
[hughsie@hughsie-work RPMS]$ rpmlint unique-0.9.4-3.fc9.hughsie.i386.rpm
unique.i386: W: devel-file-in-non-devel-package /usr/lib/libunique-1.0.so
[hughsie@hughsie-work RPMS]$ rpmlint unique-devel-0.9.4-3.fc9.hughsie.i386.rpm 
unique-devel.i386: W: no-documentation
Comment 2 Richard Hughes 2008-05-14 10:38:44 EDT
Scratch build in koji: http://koji.fedoraproject.org/koji/taskinfo?taskID=608638
Comment 3 Richard Hughes 2008-05-14 10:39:10 EDT
The old name of Unique was GtkUnique. I need to use this package in
gnome-power-manager and gnome-packagekit to fix bugs where users can open
multiple instances of the different tools. Unique has had releases since July
2007, and is a maintained project. The upstream maintainer is Emmanuele Bassi
<ebassi@gmail.com>.
Comment 4 Dan Horák 2008-05-15 09:03:49 EDT
first notes
- add --disable-static to %configure, rm *.a in %install can be then removed
- strip the "%dist" (fc9.hugsie) from the changelog entries
- main %files should contain %{_libdir}/lib*.so.*
- %files devel should contain %{_libdir}/lib*.so (this removes the rpmlint message)
- license should be LGPLv2+ (the sources have "or any later version" clause)
- use full URL for Source0
- BuildRequires
   - dbus-glib-devel takes automagically dbus-devel as BR => remove dbus-devel
   - glibc-headers can be removed too (gcc takes glibc-devel and it takes
glibc-headers, gcc is included in the default buildroot)
- change the Group: from Applications/System to System Environment/Libraries
Comment 5 Richard Hughes 2008-05-15 09:22:00 EDT
Changes made, many thanks.

New spec: http://www.packagekit.org/temp/unique.spec
New SRPM: http://www.packagekit.org/temp/unique-0.9.4-4.fc9.src.rpm
New scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=610649

I forgot to say, this probably makes sense for dist-f9 and dist-f10.

I owe you a beer --thanks.
Comment 6 Dan Horák 2008-05-16 02:23:05 EDT
I found yet a few issues
- the "gtk-doc" docs should be moved into -devel and R: gtk-doc added, whole
"unique" dir owned
- the lines for packaging the headers can be simplified to one, the current
style is useful when you need to pick only some files/dirs into multiple subpackages
- the -devel subpackage should R: dbus-glib-devel and gtk2-devel, so they are
downloaded automagically when your package has BR: unique-devel
- also keep writing changelog entries even during the review

see the patch in attachments
Comment 7 Dan Horák 2008-05-16 02:23:50 EDT
Created attachment 305633 [details]
updates for the spec file
Comment 8 Richard Hughes 2008-05-16 03:19:09 EDT
Changes made, many thanks.

New spec: http://www.packagekit.org/temp/unique.spec
New SRPM: http://www.packagekit.org/temp/unique-0.9.4-5.fc9.src.rpm
Comment 9 Dan Horák 2008-05-16 03:38:06 EDT
I have done a rebuild on Rawhide without BR: libtool and it works, so please
remove it when uploading the spec into the CVS.

OK	source files match upstream:
	    5980013ab57c5391f63c9171d39c325f15584838  unique-0.9.4.tar.gz
OK	package meets naming and versioning guidelines.
OK	specfile is properly named, is cleanly written and uses macros consistently.
OK	dist tag is present.
OK	build root is correct.
OK	license field matches the actual license.
OK	license is open source-compatible (LGPLv2+). License text included in package.
OK	latest version is being packaged.
OK*	BuildRequires are proper.
OK	compiler flags are appropriate.
OK	%clean is present.
OK	package builds in mock (Rawhide/x86_64).
OK	debuginfo package looks complete.
OK	rpmlint is silent.
OK	final provides and requires look sane.
N/A	%check is present and all tests pass.
OK	shared libraries are added to the regular linker search paths, ldconfig is
called.
OK	owns the directories it creates.
OK	doesn't own any directories it shouldn't.
OK	no duplicates in %files.
OK	file permissions are appropriate.
OK	correct scriptlets present.
OK	code, not content.
OK	documentation is small, so no -docs subpackage is necessary.
OK	%docs are not necessary for the proper functioning of the package.
OK	headers in -devel.
OK	pkgconfig file in -devel, dependency on pkgconfig exists.
OK	no libtool .la droppings.
OK	not a GUI app.

this package is APPROVED
Comment 10 Richard Hughes 2008-05-16 04:45:09 EDT
New Package CVS Request
=======================
Package Name: unique
Short Description: Library for writing single instance applications
Owners: rhughes
Branches: F-9
InitialCC: rhughes
Cvsextras Commits: yes
Comment 11 Kevin Fenzi 2008-05-16 11:44:31 EDT
cvs done.
Comment 12 Richard Hughes 2008-05-16 12:17:10 EDT
Build in F-9 and devel, many thanks.

Note You need to log in before you can comment on or make changes to this bug.